Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleAnalysis

Executes the analysis (update) step using sparse observation matrix H

## Synopsis

    PetscErrorCode PetscDAEnsembleAnalysis(PetscDA da, Vec observation, Mat H)

Collective

## Input Parameters

- da - the `PetscDA` context

- observation - observation vector y in R^P

- H - observation operator matrix (P x N), sparse AIJ format

## Notes

The observation matrix H maps from state space (N dimensions) to observation space (P dimensions): y = H*x + noise

H must be a sparse AIJ matrix

For identity observations (observe entire state), use an identity matrix for H. For partial observations, set appropriate rows and columns to observe specific state components.

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDAEnsembleForecast()`, `PetscDASetObsErrorVariance()`

## Level

intermediate

## Location

src/ml/da/impls/ensemble/daensemble.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

## Implementations

PetscDAEnsembleAnalysis_ETKF() in src/ml/da/impls/ensemble/etkf/etkfilter.c
PetscDAEnsembleAnalysis_LETKF() in src/ml/da/impls/ensemble/letkf/letkfilter.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages